Ticket #42001

Attack a land from a submarine

Open Date: 2021-04-14 23:00 Last Update: 2021-04-20 23:40

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
3
Severity:
3
Resolution:
Fixed
File:
3

Details

I know that a submarine cannot attack a plot of land. When it try, freeciv beeps. But when a submarine try to attack a city, freeciv do not beep but show the odds to win. It must be change to a beep.

Ticket History (3/11 Histories)

2021-04-14 23:00 Updated by: serge_alard
  • New Ticket "Attack a land from a submarine" created
2021-04-14 23:20 Updated by: cazfi
Comment

Sveinung: Is this an (unintentional) rule change since 2.6? How are 2.6 "AttackNonNative" / "Only_Native_Attack" flags supposed to be converted to 3.0?

2021-04-15 16:49 Updated by: kvilhaugsvik
Comment

Reply To cazfi

Sveinung: Is this an (unintentional) rule change since 2.6? How are 2.6 "AttackNonNative" / "Only_Native_Attack" flags supposed to be converted to 3.0?

It is still illegal. Looks like the lack of meta knowledge. Probably because AttackNonNative is implemented using (non obligatory) hard requirements and therefore not detected by the odds system.

2021-04-15 17:40 Updated by: kvilhaugsvik
  • File 0001-Action-prob-custom-AttackNonNative-detection.patch (File ID: 6528) is attached
2021-04-15 18:08 Updated by: kvilhaugsvik
  • File 0001-Action-prob-custom-AttackNonNative-detection.patch (File ID: 6528) is deleted
2021-04-15 18:11 Updated by: kvilhaugsvik
  • Owner Update from (None) to kvilhaugsvik
  • Resolution Update from None to Accepted
Comment

Reply To kvilhaugsvik

Looks like the lack of meta knowledge. Probably because AttackNonNative is implemented using (non obligatory) hard requirements and therefore not detected by the odds system.

Detection added.

2021-04-15 21:20 Updated by: kvilhaugsvik
Comment

3.2 version detects it for "Wipe Units" too

2021-04-20 23:40 Updated by: kvilhaugsvik
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login